Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::ScreenSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gdk::Screen. More...

`#include <xfc/gdk/screensignals.hh>`

Inheritance diagram for Xfc::Gdk::ScreenSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_size_changed ()
    Called when the size of the screen changes.

## Protected Member Functions

Constructors

- ScreenSignals (Screen *screen)
    Constructs a new ScreenSignals object.
- virtual ~ScreenSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gdk::Screen.

## Constructor & Destructor Documentation

Xfc::Gdk::ScreenSignals::ScreenSignals | ( | Screen * | screen | ) | `[protected]`

Constructs a new ScreenSignals object.

Parameters:

  | screen | A Screen object inheriting the ScreenSignals implementation.

The documentation for this class was generated from the following file:

- screensignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3